# Basic electronic training



## Objective: to provide electronic circuits for initiation

**Ideas**

 * Alternation between theory and practice, for example first introducing a new component and testing it, then providing a useful application.
 * Provision of importable files in a circuit simulator to learn and test on a computer
     * at http://www.falstad.com/circuit/circuitjs.html
     * others if possible?
 * Orientation of practical parts on assemblies useful for gardening: controlling pumps with photoresistors, etc.
 * Reuse of the same components to limit the actual application cost
 * Limitation of the program to a final circuit of average level, other training with other orientations to progress

## Sessions / Lessons / Tours
0. What is the current?
1. Representation symbols
2. Simple circuits + a humidity detector
3. Serial / parallel circuits + Relay control
4. Potentiometers + thermostat with ampliop in comparator / open loop mode
5. Capacitors + twilight sprinkling

### 0. What is the current?

It is the circulation of a certain quantity of electrons through various components of a closed circuit.

To understand more intuitively what is happening we can use an analogy: water.

It represents the electrons. As long as the water is stagnant, there is no current. For there to be one, the water has to move.

This analogy is not perfect, but it is useful.

Let's apply it to 5 concepts to understand electricity:
* Voltage
* Intensity
* Resistance
* Inductance
* Capacity


**Tension** It is the difference in height that exists between the two highest and lowest points for a waterfall. The water will flow in that direction. This notion is clearer when it is called Potential Difference (DDP). Electrons only circulate if there is DDP. It takes a high potential (the + of the battery) and a low potential (the - of the battery) for electricity to flow. We measure in Volts.

**Resistance** This is the diameter of the tap through which the water flows. The smaller the tap, the greater the resistance, and the less current it lets through. This analogy of the tap is false if we apply it to closed circuits because there is no acceleration in electricity. We can use the analogy of Obelix and the Romans, that of supermarket checkouts or consider that the residence is like sand that will be deposited all along the circuit and reduce the possible flow. We measure in Ohms.

**Intensity** This is the amount of water that will flow in a given time. For example, one liter per second. The stronger the PDD and the lower the resistance, the higher the intensity will be. We measure in Amps.


### 1. Symbols

There are plenty of components that all have a symbol, and some even have multiple symbols depending on the cultures and specifics of the component.

The symbol is an abstract representation of the object, but it always takes its actual number of pins.

ex: the lamp

---

### 2. Simple circuits

**Theoretical**: The current, the direction of the current  
**Components**: DC power supply, Resistor, Switch, LED  
**Oscilloscopes**: place in different places
* Current: open / closed circuit with switch + short circuit
* LED: observe the direction of the current, no internal resistance = blast the LED without resistance
* Resistors: modify the resistance to observe the effects
* Power supply: vary the current
* Ohm's law: measure the power consumed

**Application**: a humidity detector

### 3. Parallel / series circuits
**Theoretical**: Make circuits with branches  
**Law**: Addition of resistances  
**Components**: DC power supply, Resistor, Switch, LED, Relay

R = R1.R1 / (R1 + R2)

* Put several resistors in series / parallel
* Put several power supplies in series / parallel

Relay to drive a 220V socket

### 4. Potentiometers + thermostat with ampliop in comparator / open loop mode

### 5. Capacitors + twilight watering in all or nothing mode

# Useful links

https://learn.adafruit.com/series/circuit-playground

Choose the best battery https://yewtu.be/watch?v=kU9-esOhuWs

http://www.elektronique.fr/cours.php

http://riton-duino.blogspot.com/

https://couleur-science.eu/?d=5d92fb--grandeurs-electriques-capacite-inductance
